package timing;
import java.util.List;
import java.util.ArrayList;

public class ArrayListRemoveTimer extends Timer {

	List<Integer> list;
	Integer i = 0;
	int size;
	
	public ArrayListRemoveTimer(int size) {
		this.size = size;
		list = new ArrayList<>(size);
		for (int i = 0; i < size; ++i) {
			list.add(i);
		}
	}
	
	@Override
	public void action() {
		list.remove(i++);
	}

}
